﻿@charset "utf-8";

.btnFM {
    width: 100%;
    margin: 4px;
}

.btnTender {
    display: inline-block;
    text-align: center;
    width: 118px;
    height: 80px;
    line-height: 80px;
    background: linear-gradient(#f8f8f8,#c2c2c2);
    border-right: solid #999 1px;
    font-size: 1.4em;
    margin: 1px 1px 1px 0;
}

.btnX {
    color: red;
    font-size: 1.25rem;
}

.btnX_Lg {
    color: red;
    font-size: 1.75rem;
}
.cartItem {
    font-weight: 550;
    text-decoration: none;
    cursor: pointer;
}

#divAddToCart {    
    padding: 2px;
    color: white;
    border: thin white solid;
    border-radius: 8px;
    text-align: center;   
    height:44px;
}

.divCartBtn {
    float: right;
}


.divCartBtnReorder {
    float: right;
    padding: 4px;
    margin: 0 10px;
}

.divCartDtl {
    margin-top: -4px;
    padding: 0;
    width: 400px;
}

.divCartDtls {    
    width: 400px;
}

.divCartItemNotes {    
    width: 100%;
}

.divCartName {
    font-weight: 600;    
    padding-left: 10px;
    width:280px;
}

.divCartNote {    
    width: 100%;
    padding: 6px 0;
}

.divCartOpts {    
    width: 360px;
    padding-left: 40px;
}

.divCartOrderID {
    font-weight: 600;
    width: 100%;
    float: left;
}

.divCartOrderDate {
    font-weight: 600;
    width: 100%;
    float: left;
}

.divCartOrderTime {
    font-weight: 600;
    width: 100%;
    float: left;
}

.divCartQty {
    font-weight: 600;
    width: 20px;
}
.divCartTends {
    margin-top: 40px;
}

.divCartRowItem {
    margin: 8px 0;
    display: inline-flex;
    width: 100%;
    align-items: center;
}

#decTender {
    padding: 2px;
}

.divCartTendName {
    width: 170px;
    display: inline-flex;
}
.divTendBtns {
    margin:20px;
}
.divCartTotals {
    display: block;
    width: 400px;
    margin-top: 20px;
}

.divExtRtl {
    display: inline-flex;
    width: 64px;
    justify-content: flex-end;
}
.divItem {
    /*text-align:left;*/
}

.divOpt {
    display: inline;
}

    .divOpt .optAmtNone, .divOpt .optAmtReg, .divOpt .optAmtExt, .divOpt .optAmtSide, .divOpt .optAmtLite {
        display: inline-block;
        line-height: 50px;
        padding: 2px;
    }

.divOptCat {
    text-align: left;
    /*padding: 2px 0 2px 20px;*/
    margin: 6px;
    overflow: hidden;
}

#divParts {
    display: inline-block;
    font-size: x-large;
}

.divPrice {
    display: inline-block;
    font-size: 1.5rem;
    padding: 4px;
}

.divRdoOpt, .divRdoOptTall, .divRdoOptMin {
    margin: 1px 4px;
    /*padding: 4px 12px 4px 4px;*/
    border-bottom-right-radius: 20px;
    border-top-right-radius: 20px;
    background: var(--pgHdBgColor);
}

.divRdoOpt {
    display: inline-block;    
    width: 240px;
}

.divRdoOptTall {
    display: inline-block;
    height: 30px;
    min-width: 240px;
}

.divRdoOptMin {
    display: inline-block;    
}

/*-------------------------------*/
/*-------- active orders---------*/
/*-------------------------------*/
.divOrderContainer {
    color: #111;
    text-align:left;
}

.divTblOrder, .divTblOrderPaid {
    vertical-align: top;
    float: left;
    width: 400px;
    border: 2px solid #777;
    margin: 4px;
    padding: 4px;
    border-radius: 8px;
}

.divTblOrderTotal {
    display: inline-block;
    padding: 4px;
    font-weight: 600;
    font-size: 1.00rem;
    width: 80px;
    text-align: right;
}

.divTblOrder {
    background-color: #eee;
}

.divTblOrderPaid {
    background-color: #aaa;
}

.divTblOrderID {
    float: right;
    text-align: right;
    background-color: #fff;
    padding: 4px;
    font-weight: 600;
    font-size: 1.25rem;
}

.divTblBtnPay, .divTblBtnEdit {
    float: right;
    background: linear-gradient(#fff, #ddd);
    margin: 0 4px;
    font-size: inherit;
    height: 40px;
    width: 60px;
}

.divTblLocVeh {
    display: inline-block;
    width: 100%;
}

.divTblCustName {
    display: inline-block;
    width: 100%;
}

.divTblTimeStamp {
    display: inline-block;
    width: 100%;
}

.divTblGst {
    display: inline-block;
    width: 100%;
}

.divTblLocID {
    display: inline-block;
    width: 100%;
}

.divTblSrc {
    display: inline-block;
    width: 100%;
}

.divTblDest {
    display: inline-block;
    width: 100%;
}

.divTblPend {
    display: inline-block;
    width: 100%;
}

.divTblPhone {
    display: inline-block;
    width: 100%;
}

.divTblPUTime {
    display: inline-block;
    width: 100%;
}

.divTblSvrID {
    display: inline-block;
    width: 80px;
    padding: 4px;
    background-color: cornsilk;
    font-weight: 600;
    font-size: 1.00rem;
}
/*---------------------------------------------*/
/*---------------------------------------------*/
/*---------------------------------------------*/
.divOrderHistory {
    display:inline-block;
    /*width: 33%;*/
    min-width: 360px;
    text-align: left;
    background-color: #fff;
    margin: 4px;
    padding: 12px;
    border-radius: 8px;
}
.divMyOrder, .divMyOrderPaid {
    vertical-align: top;
    display: inline-block;
    width: 400px;
    border: 2px solid #777;
    margin: 4px;
    padding: 4px;
    border-radius: 8px;
}

.divMyOrderTotal {
    display: inline-block;
    padding: 4px;
    font-size: 1.25rem;
    width: 80px;
    text-align: right;
}

.divMyOrder {
    background-color: #f4f4f4;
}

.divMyOrderPaid {
    background-color: #ddd;
}

.divMyOrderID {
    display: inline-block;
    background-color: #fff;
    padding: 4px;
    font-size: 1.25rem;
}

.divMyBtnPay, .divMyBtnEdit {
    float: right;
    background: linear-gradient(#fff, #ddd);
    margin: 0 4px;
    font-size: inherit;
    height: 40px;
    width: 60px;
}

.divMyLocVeh {
    display: inline-block;
    width: 100%;
}

.divMyCustName {
    display: inline-block;
    width: 100%;
}

.divMyTimeStamp {
    display: inline-block;
    width: 100%;
}

.divMyGst {
    display: inline-block;
    width: 100%;
}

.divMyLocID {
    display: inline-block;
    width: 100%;
}

.divMySrc {
    display: inline-block;
    width: 100%;
}

.divMyDest {
    display: inline-block;
    width: 100%;
}

.divMyPend {
    display: inline-block;
    width: 100%;
}

.divMyPhone {
    display: inline-block;
    width: 100%;
}

.divMyPUTime {
    display: inline-block;
    width: 100%;
}

.divMySvrID {
    display: inline-block;
    width: 80px;
    padding: 4px;
    background-color: cornsilk;
    font-weight: 600;
    font-size: 1.00rem;
}
/*---------------------------------------------*/
/*------------Favorites------------------------*/
/*---------------------------------------------*/
/*---------------------------------------------*/
.divReorderLine {
    background: rgba(255, 255, 255, .85);
    margin: 6px 0;
    border-radius: 8px;
}
/*---------------------------------------------*/
/*---------------------------------------------*/

/*---------------------------------------------*/
/*---------------------------------------------*/
/*---------------------------------------------*/
.divTender {
    display: inline-block;
    margin: 12px;
    width: 400px;
}


.lblCartInfo {
    display: inline-block;
    color: white;
    margin: 4px;
    background: #000;
    text-align: right;
    padding: 0 12px 0 8px;
    /*width: min-content;
    border-radius: 5px;
    border: thin solid #000;*/
}

.lblDesc {
    text-align: left;
    padding: 6px 20px;
}

.lblOptCat {
    font-size: 1.25em;
    margin: 6px 6px 6px -10px;
    padding:4px 12px;
    color: var(--optCatColor);
    background-color: var(--optCatBgColor);
    font-family:var(--optCatFontFamily);
    border-radius: 15px;
}

#lblOptPrompt {
    color: #222;
}

.menuitemcat, .mnuItmBtn {
    display: inline-block;
    vertical-align: top;
    margin: 0.10rem 0.10rem;
    padding: 0.75rem;
    font-size: 1.25rem;
    border-radius: 15px;
}

.menuitemcat {
    width: 360px;
    min-height:260px;
    background: var(--headerBg);
    color: var(--headerColor);
}

.imgCat {
    height: 194px;
}

.mnuItmBtn {
    width: 480px;
    /*height:355px;*/
    min-height:355px;
    background: var(--menuItmBg);
    color: var(--menuItmColor);
}

.divBtnDesc {
    font-size: 15px;
    text-align: left;
    min-height: 92px;
    display: inline-block;
    vertical-align: top;
    padding: 0 12px;
    color: chocolate;
}
.divBtnImg{
    width:100%;
    overflow:hidden;
    display:inline-block;
}
.divBtnText {
    padding-bottom:12px;
    color:#333;
}
.imgItem {
    min-height: 194px;
    max-height: 240px;
}

.divCatDivider {
    text-align: center;
    /*margin: 20px 8px 8px 8px;*/
    margin: auto;
    margin-bottom: 0.10rem;
    margin-top: 28px;
    padding: 10px;
    max-width: 60%;
    background-color: var(--optCatBgColor);
    border-radius: 15px;
}

.divCatDividerName {
    font-size: 1.25rem;
    color: var(--optCatColor);
}

.divCatDividerDesc {
    color: var(--optCatColor);
    padding: 0px 20px;
}

.divMenuItemCats {
    display: inline-block;
    padding: 10px 10px 60px 10px;
    text-align: center;
}

.divMenuItems {
    display: inline-block;
    padding: 10px 10px 60px 10px;
    text-align: center;
}

.optAmtDiv {
    display: inline-block;
    height: 60px;
    line-height: 40px;
}

.optAmtNone, .optAmtReg, .optAmtExt, .optAmtSide, .optAmtLite, .optFMOn, .optFMOff {
    float: left;
    height: 2.5rem;
    white-space: normal;
    word-wrap: break-word;
    margin: 0.15rem;
    padding: 0;
    border-radius: 5px;
    border-width: thin;
    border-color: #eee;
}

.optAmtNone, .optAmtReg, .optAmtExt, .optAmtSide, .optAmtLite, .optFMOn, .optFMOff {
    font-size: 1.0rem;
    width: 45%;
    max-width: 240px;
}

.optAmtNone {
    background: var(--optAmtBgNone);
    color: var(--optAmtColorNone);
}

.optAmtReg {
    background: var(--optAmtBgReg);
    color: var(--optAmtColorReg);
}

.optAmtExt {
    background: var(--optAmtBgXtra);
    color: var(--optAmtColorXtra);
}

.optAmtSide {
    background: var(--optAmtBgSide);
    color: var(--optAmtColorSide);
}

.optAmtLite {
    background: var(--optAmtBgLite);
    color: var(--optAmtColorLite);
}

.optFMOn {
    background: linear-gradient(#2bfc0b,#249f01);
    color: #222;
}

.optFMOff {
    background: linear-gradient(#fff, #ddd);
    color: #222;
}

#pMenuItem {
    font-size: 1.5em;
    color: var(--pgHdColor);
    padding: 8px;
}

#pMenuDesc {
    display: block;
    font-size: 1em;
    padding: 0 20px 8px 20px;
    color: var(--pgHdColor);
}


/*.rdoOpt {*/
    /*float: left;*/
    /*width: 1.5rem;
    height: 1.5rem;
}*/

.rdoOption {
    width: 240px;
    border-radius: 5px;
    background: var(--optAmtBgNone);
    color: var(--optAmtColorNone);
}

.rdoOptLbl {
    float: left;
    color: var(--rdoOptColor);
    line-height: 26px;
    padding: 4px;
    width: 204px;
}

.selQty {
    font-size: 1.25rem;
}

#taNotes {
    font-family: Helvetica;
    font-size: inherit;
    /*height: 60px;*/
    width: 100%;
    margin-top: 0px;
    display: inline-block;
}

.tblCartDtls {
    margin: 0px;
    width: 100%;
}

    .tblCartDtls td {
        padding: 2px 6px;
    }

.tblTotal {
    background-color: #d0d0d0;
    width: 100%;
    text-align: right;
}

    .tblTotal td {
        padding: 2px 6px;
    }

#tblNumPad {
    font-size: 2em;
    background-color: #fff;
    border: solid 1px #33f
}

    #tblNumPad td {
        text-align: center;
        width: 120px;
        height: 80px;
        background: linear-gradient(#f8f8f8,#e2e2e2);
        border: solid 1px #999;
    }

        #tblNumPad td:hover {
            background: #eee;
        }


/*------------------ media ------------------------------*/
@media only screen and (max-width: 520px) {

    /*@media only screen and (max-width: 420px) {*/
    .divCatDivider {
        margin-top: 20px;
        max-width: 80%;
    }

    .divCatDividerName {
        font-size: 1.75rem;
    }

    .menuitemcat, .mnuItmBtn {
        font-size: 1.25rem;
        min-width: 260px;
        margin: 0.50rem 0;
    }

    .mnuItmBtn {
        width: 360px;
        min-height: 260px;
        height: fit-content;
    }

    .imgItem {
        height: 120px;
    }

    .divBtnDesc {
        font-size: 1.25rem;
        padding: 0 4px;
    }

    .divBtnText {
        font-size: 1.75rem;
    }

    #pMenuDesc {
        font-size: 1.25em;
        text-align: center;
        margin: auto;
    }

    .divPrice {
        font-size: 1.5rem;
    }


    .divRdoOpt {
        font-size: 0.9rem;
        width: 150px;
    }

    .divRdoOptTall {
        font-size: 0.9rem;
        width: 150px;
    }

    .optAmtNone, .optAmtReg, .optAmtExt, .optAmtSide, .optAmtLite, .optFMOn, .optFMOff {
        font-size: 0.9rem;
    }

    .rdoOpt {
        margin: 4px 2px 0 0;
        width: 1.0rem;
        height: 1.0rem;
    }

    .rdoOptLbl {
        padding: 6px 0 0 0;
        line-height: 16px;
    }
}

@media only screen and (max-width: 420px) {
    .body-content {
        padding: 2px;
    }
    .divOptCat {
        margin:0;
    }
    .menuitemcat, .mnuItmBtn {
        font-size: 1.0rem;
        min-width: 260px;
    }

    .divRdoOpt {
        font-size: 0.9rem;
        width: 186px;
    }

    .divRdoOptTall {        
        font-size: 0.9rem;
        width: 186px;
    }

    .optAmtNone, .optAmtReg, .optAmtExt, .optAmtSide, .optAmtLite, .optFMOn, .optFMOff {
        font-size: 0.9rem;
    }
    .rdoOpt {
        margin:6px 2px 0 2px;
        width: 1.0rem;
        height: 1.0rem;
    }

    .rdoOptLbl {        
        padding: 6px 0 0 0;
        line-height: 16px;
    }
}
    /*@media only screen and (max-width: 480px) {
}

@media only screen and (max-width: 420px) {
}

@media only screen and (max-height: 420px) {
}*/
